function c_norm = c_norm(w, a, b, v)
  %
  % The norm on C[a,b] induced by c_inner_product.
  %
  % INPUT:
  %
  %   * ``w`` -- The weight function.
  %
  %   * ``a`` -- The left endpoint of the interval.
  %
  %   * ``b`` -- The right endpoint of the interval.
  %
  %   * ``v`` -- The vector.
  %
  % OUTPUT:
  %
  % The norm of `v`; that is, the inner product sqrt(<v, v>).
  %
  c_norm = sqrt(c_inner_product(w, a, b, v, v));
end
